Create Project
curl --request POST \
--url https://api.mokaru.ai/v1/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"organisation": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"isCurrent": true,
"url": "<string>"
}
'import requests
url = "https://api.mokaru.ai/v1/projects"
payload = {
"name": "<string>",
"description": "<string>",
"organisation": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"isCurrent": True,
"url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
organisation: '<string>',
startDate: '<string>',
endDate: '<string>',
isCurrent: true,
url: '<string>'
})
};
fetch('https://api.mokaru.ai/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Projects
Create Project
Add a new project to your career profile
POST
/
v1
/
projects
Create Project
Overview
Add a new project to the authenticated user’s base resume.Scope required:
projects:write | Rate limit: 20 requests/minRequest
POST /v1/projects
Content-Type: application/json
Body Parameters
string
required
Project name (max 200 characters)
string
required
Project description
string
Organisation behind the project (max 200 characters)
string
ISO 8601 date string
string
ISO 8601 date string (omit for ongoing projects)
boolean
default:"false"
Set to true for ongoing projects
string
Project URL (max 500 characters)
Query Parameters
string
Target a specific resume by its id (from
list-resumes). Omit to use your base/default resume; the resume must be self-contained.Response
{
"success": true,
"id": "clx..."
}
Was this page helpful?
⌘I
